#!/bin/bash
set -e

echo "Generating intermediate certificate..."
openssl ca -config ${rootdir}/openssl.cnf -batch -days 3650 -extensions v3_ca -notext -md sha512 -in ${rootdir}/intermediate/csr/intermediate.csr -out ${rootdir}/intermediate/crt/intermediate.crt > /dev/null 2>&1
chmod 444 ${rootdir}/intermediate/crt/intermediate.crt
