#!/bin/bash
set -e

echo "Generating certificate (${1}) (user)..."
openssl ca -config ${rootdir}/intermediate/openssl.cnf -batch -days 3650 -extensions usr_cert -notext -md sha512 -in ${rootdir}/csr/${1}.csr -out ${rootdir}/crt/${1}.user.crt > /dev/null 2>&1
chmod 444 ${rootdir}/crt/${1}.user.crt
